Subject: Re: [PATCH v2 1/2] maple_tree: Disable mas_wr_append() when other readers are possible

From: Andreas Schwab <[email-masked]>
Date: Tue, 12 Sep 2023 22:01:02 +0200

On Sep 12 2023, Liam R. Howlett wrote:

> * Andreas Schwab <[email-masked]> [230912 14:15]:
>> Any news?  This is still broken.
>
> I have a proposed fix.  I seem to have caused a pre-existing problem to
> show up.  Please see if the attached works for you, and I'll send it
> to a lot of people.

Thanks, it fixes the issue for me (tested both 6.5 and 6.6-rc1).

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."